Subject: bug#23338: 25.0.92; auto-revert-buffers errors

From: Live System User <[email-masked]>
Date: Thu, 12 May 2016 10:11:59 -0400

Michael Albinus <[email-masked]> writes:
Hi,

> Michael Albinus <[email-masked]> writes:
>
>> Live System User <[email-masked]> writes:
>>
>>> Hi,
>>
>> Hi,
>>
>>> Error running timer ‘auto-revert-buffers’: (wrong-type-argument
>>> number-or-marker-p nil) [108 times]
>>>
>>> How does one go about debugging this?
>>>
>>> In GNU Emacs 25.0.92.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.18.7)
>>>  of 2016-03-03 built on copr-builder-919644472.novalocal
>>
>> First, pls upgrade Emacs 25.0.92. There have been changes in
>> autorevert.el recently, which might be related.
>
> Ping.

I recently upgraded to GNU Emacs 25.0.93.1 and have not seen this bug.

However, when trying to send this message using Gnus, the prompt
briefly showed in the echo area asking me for my email password
but was immediately covered over with:

          Reverting buffer ‘wpa_supplicant.log’.

so that I could no longer see the passwoed prompt.  I almost missed
seeing the password prompt.

I had to type a key (I typed the "?" key) and then could see the
password prompt.

Ordinarily, I never see the "Reverting buffer..." message.  In
fact, I just turned off my WiFi as an experiment and didn't see the

           Reverting buffer ‘wpa_supplicant.log’.

message in the echo area.  But when I `switch-to-buffer' to the
*Messages* buffer, I could see the "Revert buffer" message.

So it appears that this "Revert buffer..." message only appeared
for me because the echo area was engaged in prompting for a password
but, unfortunately, it was occluded by the "Revert buffer..." message.

Is there a way to prevent this?

Thanks.

> Best regards, Michael.